# Namespace: internal

## Classes

- [AdminGetGiftCardsParams](../classes/internal-9.AdminGetGiftCardsParams.md)
- [AdminPostGiftCardsGiftCardReq](../classes/internal-9.AdminPostGiftCardsGiftCardReq.md)
- [AdminPostGiftCardsReq](../classes/internal-9.AdminPostGiftCardsReq.md)

## Type Aliases

### AdminGiftCardsListRes

Ƭ **AdminGiftCardsListRes**: [`PaginatedResponse`](internal-2.md#paginatedresponse) & { `gift_cards`: [`GiftCard`](../classes/internal.GiftCard.md)[]  }

#### Defined in

medusa/dist/api/routes/admin/gift-cards/index.d.ts:14

___

### AdminGiftCardsRes

Ƭ **AdminGiftCardsRes**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `gift_card` | [`GiftCard`](../classes/internal.GiftCard.md) |

#### Defined in

medusa/dist/api/routes/admin/gift-cards/index.d.ts:10
